laravel5.8升级到laravel6.0教程以及异常处理

Song1457 次浏览0个评论2021年05月28日

laravel5.8 升级到laravel6

如果您是5.8以前的版本,查看 laravel升级到5.5升级到5.8出现教程以及异常处理 教程。

根据官方文档,升级到6.0只需要在composer.json中修改laravel/framework即可,中文文档地址为 从 5.8 升级到 6.0 升级说明

"laravel/framework": "^6.0",

升级过程中遇到的问题

1、没有发现str_slug


In cache.php line 91:

  Call to undefined function str_slug()  

Script @php artisan package:discover handling the post-autoload-dump event returned with error code 1

解决办法,安装laravel/helpers

composer require laravel/helpers

2、composer安装的其他包版本不对

- Conclusion: don't install laravel/framework v6.20.24 (conflict analysis result)
- Conclusion: don't install laravel/framework v6.20.25 (conflict analysis result)
- Conclusion: don't install laravel/framework v6.20.26 (conflict analysis result)
- Conclusion: don't install laravel/framework v6.20.27 (conflict analysis result)

mews/purifier 2.1.4 requires illuminate/support 5.1.* || 5.2.* || 5.3.* || 5.4.* || 5.5.* || 5.6.* || 5.7.* || 5.8.* -> satisfiable by illuminate/support[v5.1.1, ..., v5.8.36].

解决办法,升级包或者卸载包然后升级成功后重新安装。

提交评论

请登录后评论

用户评论

    当前暂无评价,快来发表您的观点吧...

更多相关好文

    当前暂无更多相关好文推荐...